delimiter ;
insert into instalacao_log(ds_passo) values ('passo 248');
alter table erpc_pedidos_venda add vl_pagamento decimal( 12,2) not null;
alter table erpc_pedidos_venda_liberados add vl_pagamento decimal( 12,2) not null;

insert into instalacao_log(ds_passo) values ('passo 249');
insert into erpc_parametros(st_ativo, ds_parametro, ds_valor)values(1, 'P_FINAL_ETIQUETA', '1'); -- 1 / por_qtde OU 2 / por_valor
insert into erpc_parametros(st_ativo, ds_parametro, ds_valor)values(1, 'ETQ_DIG_PRODUTO', 6);
insert into erpc_parametros(st_ativo, ds_parametro, ds_valor)values(1, 'ETQ_DIG_PESO', 5);
insert into erpc_parametros(st_ativo, ds_parametro, ds_valor)values(1, 'ETQ_DIG_VERIFICADOR', 1);
insert into erpc_parametros(st_ativo, ds_parametro, ds_valor)values(1, 'ETQ_PRECO_TOTAL', 6);

/*
select id, ds_parametro, ds_valor from erpc_parametros where ucase(ds_parametro)IN('ETQ_DIG_PRODUTO', 'ETQ_DIG_PESO', 'ETQ_DIG_VERIFICADOR', 'ETQ_PRECO_TOTAL')
;
*/
insert into instalacao_log(ds_passo) values ('passo 250');
drop view if exists vw_erpc_nfccode_geraxml_totais;
drop view if exists vw_erpc_recibo_geraxml_totais;

insert into instalacao_log(ds_passo) values ('passo 251');
create view vw_erpc_nfccode_geraxml_totais AS
    SELECT 
        ds.id AS nr_documento,
        ds.ds_numnf AS ds_numnf,
        pv.vl_total_pedido AS vl_total_pedido,
        fp.cd_forma AS cMP,
        IF(IFNULL(pv.vl_pagamento,0)=0, pv.vl_total_pedido, vl_pagamento) AS vMP
    FROM erpc_documentos_saida ds
         JOIN erpc_pedidos_documentos_saida dp ON ds.id = dp.id_documento_saida
         JOIN erpc_pedidos_venda_liberados pv  ON dp.id_pedido_liberados = pv.id
         JOIN erpc_pedidos_itens_liberados pp  ON pv.id = pp.id_pedido_venda_liberado
         JOIN erpc_dom_forma_pagamento fp      ON pv.id_forma_pagamento = fp.id
    GROUP BY ds.id , ds.ds_numnf , pv.vl_total_pedido , fp.cd_forma
;

insert into instalacao_log(ds_passo) values ('passo 252');
Create View vw_erpc_recibo_geraxml_totais  AS  
select pv.id AS nr_documento,
NULL AS ds_numnf,pv.vl_total_pedido AS vl_total_pedido,fp.cd_forma AS cMP,
IF(IFNULL(pv.vl_pagamento,0)=0, pv.vl_total_pedido, vl_pagamento) AS vMP
from ((erpc_pedidos_venda_liberados pv 
join erpc_pedidos_itens_liberados pp 
on((pv.id = pp.id_pedido_venda_liberado))) 
join erpc_dom_forma_pagamento fp on((pv.id_forma_pagamento = fp.id))) 
group by pv.id,pv.vl_total_pedido,fp.cd_forma ;

insert into instalacao_log(ds_passo) values ('passo 253');